Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIAttachQueue

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractAttachQueue
                  org.richfaces.component.UIAttachQueue

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.0.0-SNAPSHOT"})
    public class UIAttachQueue

extends AbstractAttachQueue

Author:
  Nick Belaevski

Nested Class Summary
`protected static class` | `UIAttachQueue.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractAttachQueue
`QUEUE_ID_ATTRIBUTE`

Fields inherited from class javax.faces.component.UIComponent
`BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, VIEW_LOCATION_KEY`

Constructor Summary
`UIAttachQueue()`

Method Summary
`String` | `getFamily()`
`String` | `getName()`
`String` | `getOnrequestdequeue()`
`String` | `getOnrequestqueue()`
`int` | `getRequestDelay()`
`String` | `getRequestGroupingId()`
`int` | `getTimeout()`
`boolean` | `isIgnoreDupResponses()`
`void` | `setIgnoreDupResponses(boolean ignoreDupResponses)`
`void` | `setName(String name)`
`void` | `setOnrequestdequeue(String onrequestdequeue)`
`void` | `setOnrequestqueue(String onrequestqueue)`
`void` | `setRequestDelay(int requestDelay)`
`void` | `setRequestGroupingId(String requestGroupingId)`
`void` | `setTimeout(int timeout)`

Methods inherited from class org.richfaces.component.AbstractAttachQueue
`associateWith, associateWith, getQueueId, processEvent`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIAttachQueue

    public UIAttachQueue()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `AbstractAttachQueue`

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

  Specified by:
    `isIgnoreDupResponses` in class `AbstractAttachQueue`

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean ignoreDupResponses)

### getName

    public String getName()

  Specified by:
    `getName` in class `AbstractAttachQueue`

### setName

    public void setName(String name)

### getOnrequestdequeue

    public String getOnrequestdequeue()

  Specified by:
    `getOnrequestdequeue` in class `AbstractAttachQueue`

### setOnrequestdequeue

    public void setOnrequestdequeue(String onrequestdequeue)

### getOnrequestqueue

    public String getOnrequestqueue()

  Specified by:
    `getOnrequestqueue` in class `AbstractAttachQueue`

### setOnrequestqueue

    public void setOnrequestqueue(String onrequestqueue)

### getRequestDelay

    public int getRequestDelay()

  Specified by:
    `getRequestDelay` in class `AbstractAttachQueue`

### setRequestDelay

    public void setRequestDelay(int requestDelay)

### getRequestGroupingId

    public String getRequestGroupingId()

  Specified by:
    `getRequestGroupingId` in class `AbstractAttachQueue`

### setRequestGroupingId

    public void setRequestGroupingId(String requestGroupingId)

### getTimeout

    public int getTimeout()

  Specified by:
    `getTimeout` in class `AbstractAttachQueue`

### setTimeout

    public void setTimeout(int timeout)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.